/** *************************************************************************
 **
 ** Copyright (C) 2010 Heinz van Saanen
 **
 ** This file is part of the interactive editor CLedit.
 **
 ** CLedit may be used under the terms of the GNU General Public License
 ** version 3 or later as published by the Free Software Foundation and
 ** appearing in the file LICENSE.GPL included in this package.
 **
 ** CLedit is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 ** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 **
****************************************************************************/


/** Includes **/
#include <QApplication>
#include "mainwindow.h"


QString workDir;


/** Main event loop**/
int main( int argc, char **argv ) {

	QApplication app( argc, argv );

	// Set app icon and path
	QIcon appIcon(":/images/cledit.png");
	app.setWindowIcon( appIcon );
	workDir = QCoreApplication::applicationDirPath();

	// And go
	MainWindow mw;
	mw.show();

	return app.exec();
}
